import { Module } from '@nestjs/common';
import { DatabaseSeederService } from './database-seeder.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { State } from 'src/state/entities/state.entity';
import { StateService } from 'src/state/state.service';
import { Town } from 'src/town/entities/town.entity';

@Module({
  providers: [DatabaseSeederService, StateService],
  imports: [TypeOrmModule.forFeature([State, Town])],
})
export class DatabaseSeederModule {}
