import { Stack } from "expo-router";
import { LIGTHT_THEME } from "../../src/constants/theme";

export default function Layout() {
  return (
    <Stack>
      <Stack.Screen
        name="[stateId]/index"
        options={{
          title: "Select a town",
          headerStyle: {
            backgroundColor: LIGTHT_THEME.color.primary,
          },
          headerTitleStyle: {
            color: LIGTHT_THEME.color.white,
          },
          headerTitleAlign: "center",
          headerTintColor: LIGTHT_THEME.color.white,
        }}
      />
      <Stack.Screen
        name="[stateId]/town"
        options={{
          headerShown: false,
        }}
      />
    </Stack>
  );
}
