import { View, Text, StyleSheet } from "react-native";
import { LIGTHT_THEME } from "../../constants/theme";
import { LANG } from "../../lang/translations";

export const OrDivision = () => {
  return (
    <View style={styles.orDivision}>
      <Text style={styles.orText}>{LANG.t('common.or')}</Text>
    </View>
  );
};

const styles = StyleSheet.create({
    orDivision: {
        marginVertical: 30,
        borderTopWidth: 2,
        borderTopColor: LIGTHT_THEME.color.black,
        alignItems: "center",
      },
      orText: {
        fontSize: 16,
        marginTop: -12,
        backgroundColor: LIGTHT_THEME.color.white,
        width: 40,
        textAlign: "center",
      },
});