import { ApiProperty } from '@nestjs/swagger';

export class CreateTownDto {
  @ApiProperty()
  name: string;

  @ApiProperty({
    type: String,
    description: 'Language content for Spanish (es)',
  })
  descriptionES: string;

  @ApiProperty({
    type: String,
    description: 'Language content for English (en)',
  })
  descriptionEN: string;
  imageName: string = 'default.jpg';
  @ApiProperty()
  state: number;
}
