import { LoginInfoEntity } from "../entities/login_info_entity";
import { RegisterInfoEntity } from "../entities/register_info";
import { UserInfoEntity } from "../entities/user_info_entity";

export interface AuthDataSource {
    login: (email: string, password: string) => Promise<LoginInfoEntity>;
    register: (user: RegisterInfoEntity) => Promise<LoginInfoEntity>;
}