import { Lang } from "./lang";

export const ENGLISH_LANG: Lang = {
    loginScreen:{
        title: "Login",
        loginButton: "Login",
        registerButton: "Register",
    },
    registerScreen:{
        title: "Register",
        loginButton: "Login",
        registerButton: "Register",
    },
    forms : {
        email: "Email",
        password: "Password",
        confirmPassword: "Confirm password",
        name: "Name",
        lastName: "Last name",
        dateOfBirth: "Date of birth",
    },
    formsErrors : {
        invalidEmailFormat: "Invalid email format",
        requiredField: "Required field",
        passwordNotMatch: "Passwords do not match",
        emailAlreadyInUse: "Email already in use",
    },
    common : {
        or: "or",
    }
}