import { Lang } from "./lang";

export const SPANISH_LANG: Lang = {
    loginScreen:{
        title: "Iniciar sesión",
        loginButton: "Iniciar sesión",
        registerButton: "Registrarse",
    },
    registerScreen:{
        title: "Registrarse",
        loginButton: "Iniciar sesión",
        registerButton: "Registrarse",
    },
    forms : {
        email: "Correo electrónico",
        password: "Contraseña",
        confirmPassword: "Confirmar contraseña",
        name: "Nombre",
        lastName: "Apellido",
        dateOfBirth: "Fecha de nacimiento",
    },
    formsErrors : {
        invalidEmailFormat: "Formato de correo electrónico inválido",
        requiredField: "Campo requerido",
        passwordNotMatch: "Las contraseñas no coinciden",
        emailAlreadyInUse: "Correo electrónico ya en uso",
    },
    common : {
        or: "o",
    }
};