import { ENGLISH_LANG } from "./english_lang";
import { SPANISH_LANG } from "./spanish_lang";
import { I18n } from 'i18n-js';

const translations = {
    en : ENGLISH_LANG,
    es : SPANISH_LANG
}

const LANG = new I18n(translations);

LANG.locale = 'es';

LANG.enableFallback = true;

export { LANG };


