import { LoginDatasourceInf } from "../../../infraestructure/datasources/login_datasource";
import { LoginFormValues } from "../../../infraestructure/entities/login_form_values";
import { LoggedInUser } from "../../../infraestructure/entities/user";
import { LoginRepositoryInf } from "../../../infraestructure/repositories/login_repository";

export class LoginRepositoryProd implements LoginRepositoryInf{
    constructor(
        private datasource: LoginDatasourceInf
    ){}
    async getToken(form: LoginFormValues): Promise<LoggedInUser> {
        return this.datasource.getToken(form);
    }
}